import { Config } from './types/config';
import * as position from './types/latlng';
import { RadiationForecast } from './types/data/radiation';
import { PowerForecast } from './types/data/power';
import * as parameters from './parameters';
export declare function latLng(latitude: number, longitude: number): position.LatLng;
export declare class Options {
    static radiation(): parameters.RadiationOptions;
    static power(): parameters.PowerOptions;
}
export declare const SolcastConfig: Config;
export declare class Radiation {
    static forecast(point: position.LatLng, options?: parameters.RadiationOptions): Promise<RadiationForecast>;
}
export declare class Power {
    static forecast(point: position.LatLng, options?: parameters.PowerOptions): Promise<PowerForecast>;
}
