"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const schemas = {
    query: Joi.object({
        latitude: Joi.number().required().min(-90).max(90),
        longitude: Joi.number().required().min(-180).max(180)
    })
};
function validateInput(point) {
    const parseResult = validate(point);
    if (parseResult.valid === false) {
        throw new Error(parseResult.error);
    }
}
exports.validateInput = validateInput;
function validate(input) {
    const result = Joi.validate(input, schemas.query);
    let response = {
        valid: false,
        error: ''
    };
    if (result.error !== null) {
        response.error = result.error;
        return response;
    }
    response.valid = true;
    return response;
}
//# sourceMappingURL=latlng.js.map