"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function randomNumber(min, max) {
    if (min > max) {
        throw new Error(`${min} > ${max}`);
    }
    // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Math/random
    return Number((Math.random() * (max - min) + min).toFixed(6));
}
function invalidPosition() {
    const ticks = (new Date()).getTime();
    const result = {
        latitude: (ticks % 2 === 0) ? randomNumber(-110, -100) : randomNumber(100, 110),
        longitude: (ticks % 2 === 0) ? randomNumber(-200, -190) : randomNumber(190, 200)
    };
    return result;
}
exports.invalidPosition = invalidPosition;
function position() {
    const result = {
        latitude: randomNumber(-43.634597, -10.668185),
        longitude: randomNumber(113.338953, 153.569469) // Australia min/max
    };
    return result;
}
exports.position = position;
//# sourceMappingURL=random.js.map